JBoss API: Class AutoNumberEJB

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class AutoNumberEJB

    java.lang.Object
      |
      +--org.jboss.util.AutoNumberEJB

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, javax.ejb.EntityBean, java.io.Serializable

public class AutoNumberEJB
extends java.lang.Object
implements javax.ejb.EntityBean

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `name`
`java.lang.Integer` | `value`

Constructor Summary
`AutoNumberEJB()`

Method Summary
`void` | `ejbActivate()`
`java.lang.String` | `ejbCreate(java.lang.String name)`
`void` | `ejbLoad()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate(java.lang.String name)`
`void` | `ejbRemove()`
`void` | `ejbStore()`
`java.lang.Integer` | `getValue()`
`void` | `setEntityContext(javax.ejb.EntityContext ec)`
`void` | `setValue(java.lang.Integer value)`
`void` | `unsetEntityContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### value

    public java.lang.Integer value

Constructor Detail

### AutoNumberEJB

    public AutoNumberEJB()

Method Detail

### ejbCreate

    public java.lang.String ejbCreate(java.lang.String name)

### ejbPostCreate

    public void ejbPostCreate(java.lang.String name)

### getValue

    public java.lang.Integer getValue()

### setValue

    public void setValue(java.lang.Integer value)

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`

### ejbLoad

    public void ejbLoad()

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`

### ejbStore

    public void ejbStore()

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ec)

  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`

### unsetEntityContext

    public void unsetEntityContext()

  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.